Subject: [PATCH] arm: crypto: Add NEON optimized SHA-256

From: [email-masked] (Sami Tolvanen)
Date: Mon, 16 Mar 2015 16:23:04 +0000

On Mon, Mar 16, 2015 at 05:08:03PM +0100, Ard Biesheuvel wrote:
> Have you tested this code with the tcrypt.ko module?

I have not, but I can look into it.

> Did you talk to Andy about the license? I don't think this is
> permissible for the kernel as-is.

Unless I have misunderstood something, the license at the Cryptogams
website includes an option to license the code under the GNU GPL.

However, I can certainly contact Andy to clarify his intentions.

> This is broken on thumb-2, use adr instead

> You can also implement SHA-224 using the same core transform, it's
> just some trivial glue code.

> Could you please rebase this onto Herbert's cryptodev tree and move
> this to arch/arm/crypto/Kconfig?

Thanks for the comments, I will submit a second version once we have
a clarification on the license.

Sami